kde4.2 install failed: dependency problems

Bug #324277 reported by Tony Green on 2009-02-02
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Intrepid Ibex Backports
Undecided
Unassigned
kdebase-runtime (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: kdebase-kde4

Attempting to install KDE4.2 as per instructions at http://www.kubuntu.org/news/kde-4.2
System: Kubuntu 8.10 AMD-64 (kdebase selected as I'm not sure which of the several packages mentioned should really be selected)

After downloading all packages, an error message appeared:
-----------------------------------------------------------------------
Commit failed.
To continue, hit ok and we will try to recover. If you close the application now, we will not do anything and you may try to resolve the problem manually.
(If you suspect this is a bug in Adept, please also provide the following exception description in the report).

The error was:
APT Error. Context:
    Running dpkg,
        [ /usr/bin/dpkg, --status-fd, 3, --unpack, /var/cache/apt/archives/kde-icons-oxygen_40x0.0000002ee88d8p-10224.2.0-0ubuntu1~intrepid1~ppa3_all.deb, /var/cache/apt/archives/libphonon4_40x0.0000002ee88d8p-10224.3.0-0ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/phonon-backend-xine_40x0.0000002ee88d8p-10224.3.0-0ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/kdebase-runtime-dbg_40x0.0000002ee8ac8p-10224.2.0-0ubuntu1~intrepid1~ppa3_amd64.deb, /var/cache/apt/archives/kdelibs5-dbg_40x0.0000002ee8ac8p-10224.2.0-0ubuntu2~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/libsoprano4_2.1.64+dfsg.1-0ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/soprano-daemon_2.1.64+dfsg.1-0ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/kdelibs-bin_40x0.0000002ee9aa8p-10224.2.0-0ubuntu2~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/strigi-daemon_0.6.3-1ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/strigi-client_0.6.3-1ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/libstrigihtmlgui0_0.6.3-1ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/libstreamanalyzer0_0.6.3-1ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/libstreams0_0.6.3-1ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/libstrigiqtdbusclient0_0.6.3-1ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/libsearchclient0_0.6.3-1ubuntu1~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/kdelibs5-data_40x0.0000002eda878p-10224.2.0-0ubuntu2~intrepid1~ppa1_all.deb, /var/cache/apt/archives/kdelibs5_40x0.0000002eda878p-10224.2.0-0ubuntu2~intrepid1~ppa1_amd64.deb, /var/cache/apt/archives/kdebase-runtime_40x0.0000002eda878p-10224.2.0-0ubuntu1~intrepid1~ppa3_amd64.deb,/var/cache/apt/archives/kdebase-runtime-bin-kde4_40x0.0000002eda878p-10224.2.0-0ubuntu1~intrepid1~ppa3_amd64.deb, /var/cache/apt/archives/kdebase-runtime-data-common_40x0.0000002eda878p-10224.2.0-0ubuntu1~intrepid1~ppa3_all.deb, /var/cache/apt/archives/kdebase-runtime-data_40x0.0000002eda878p-10224.2.0-0ubuntu1~intrepid1~ppa3_all.deb, /var/cache/apt/archives/kdebase-workspace-bin_40x0.0000002eda878p-10224.2.0-0ubuntu1~intrepid1~ppa5_amd64.deb, /var/cache/apt/archives/kdebase-plasma_40x0.0000002eda878p-10224.2.0-0ubuntu1~intrepid1~ppa2_amd64.deb,/var/cache/apt/archives/ksysguard_40x0.0000002eda878p-10224.2.0-0ubuntu1~intrepid1~ppa5_amd64.deb, /var/cache/apt/archives/kdebase-workspace-libs4+5_40x0.0000002ee5058p-10224.2.0-0ubuntu1~intrepid1~ppa5_amd64.deb, /var/cache/apt/archives/kate_40x0.0000002ee5058p-10224.2.0-0ubuntu1~intrepid1~ppa3_amd64.deb, /var/cache/apt/archives/plasmoid-quickaccess_0.7.1-0ubuntu6~intrepid1~ppa1_amd64.deb ],
            Sup-process returned error code 1,
                Error processing /var/cache/apt/archives/kdebase-runtime-dbg_4%3a4.2.0-0ubuntu1~intrepid1~ppa3_amd64.deb : trying to overwrite `/usr/lib/debug/usr/lib/libkdeinit4_kwalletd.so', which is alsoin package kdelibs5-dbg.
--------------------------------------------------------------------------
I allowed it to attempt recovery, but got:
---------------------------------------------------------------------------
It seems that the recovery has failed. Please fix manually (try dpkg--configure -a and/or apt-get -f install) in terminal...

The error was:
APT Error. Context:
    Running dpkg,
    [ /usr/bin/dpkg, --status-fd, 3, --configure, -a ],
    Sup-process returned error code 1,
    Error processing kate : dependency problems - leaving unconfigured.,
    Error processing kdebase-workspace-libs4+5 : dependency problems- leaving unconfigured.,
    Error processing ksysguard : dependency problems - leaving unconfigured.,
    Error processing kdebase-plasma : dependency problems - leaving unconfigured.
------------------------------------------------------------------------------------
Attempted dpkg --configure -a
dpkg: dependency problems prevent configuration of kate:
 kate depends on libplasma3; however:
  Package libplasma3 is not installed.
dpkg: error processing kate (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of kdebase-workspace-libs4+5:
 kdebase-workspace-libs4+5 depends on libplasma3; however:
  Package libplasma3 is not installed.
dpkg: error processing kdebase-workspace-libs4+5 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ksysguard:
 ksysguard depends on kdebase-workspace-libs4+5; however:
  Package kdebase-workspace-libs4+5 is not configured yet.
 ksysguard depends on libplasma3; however:
  Package libplasma3 is not installed.
dpkg: error processing ksysguard (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of kdebase-plasma:
 kdebase-plasma depends on libplasma3; however:
  Package libplasma3 is not installed.
dpkg: error processing kdebase-plasma (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of plasmoid-quickaccess:
 plasmoid-quickaccess depends on libplasma3; however:
  Package libplasma3 is not installed.
dpkg: error processing plasmoid-quickaccess (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of kdebase-workspace-bin:
 kdebase-workspace-bin depends on kdebase-workspace-libs4+5; however:
  Package kdebase-workspace-libs4+5 is not configured yet.
 kdebase-workspace-bin depends on kdepimlibs5 (>= 4:4.2.0); however:
  Version of kdepimlibs5 on system is 4:4.1.4-0ubuntu1~intrepid1.
 kdebase-workspace-bin depends on libplasma3; however:
  Package libplasma3 is not installed.
 kdebase-workspace-bin depends on phonon (>> 4:4.3.0); however:
  Version of phonon on system is 4:4.2.0-0ubuntu1.
 kdebase-workspace-bin depends on kdebase-workspace-data (= 4:4.2.0-0ubuntu1~intrepid1~ppa
5); however:
  Version of kdebase-workspace-data on system is 4:4.1.4-0ubuntu1~intrepid1.
dpkg: error processing kdebase-workspace-bin (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 kate
 kdebase-workspace-libs4+5
 ksysguard
 kdebase-plasma
 plasmoid-quickaccess
 kdebase-workspace-bin
----------------------------------------------------------------------------------------------
So attempted apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies...Done
The following extra packages will be installed:
  kdebase-runtime-dbg kdebase-workspace-data kdepimlibs-data kdepimlibs-dbg kdepimlibs5
  libical0 libplasma3 phonon
Suggested packages:
  phonon-backend-vlc phonon-backend-mplayer
The following packages will be REMOVED
  libplasma2
The following NEW packages will be installed
  libical0 libplasma3
The following packages will be upgraded:
  kdebase-runtime-dbg kdebase-workspace-data kdepimlibs-data kdepimlibs-dbg kdepimlibs5
  phonon
6 upgraded, 2 newly installed, 1 to remove and 70 not upgraded.
6 not fully installed or removed.
Need to get 0B/43.1MB of archives.
After this operation, 6889kB of additional disk space will be used.
Do you want to continue [Y/n]?
(Reading database ... 179272 files and directories currently installed.)
Removing libplasma2 ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
(Reading database ... 179263 files and directories currently installed.)
Preparing to replace kdebase-workspace-data 4:4.1.4-0ubuntu1~intrepid1 (using .../kdebase-
workspace-data_4%3a4.2.0-0ubuntu1~intrepid1~ppa5_all.deb) ...
Unpacking replacement kdebase-workspace-data ...
Replacing files in old package kde-window-manager ...
Selecting previously deselected package libplasma3.
Unpacking libplasma3 (from .../libplasma3_4%3a4.2.0-0ubuntu2~intrepid1~ppa1_amd64.deb) ...
Preparing to replace kdepimlibs-dbg 4:4.1.4-0ubuntu1~intrepid1 (using .../kdepimlibs-dbg_4
%3a4.2.0-0ubuntu1~intrepid~ppa4_amd64.deb) ...
Unpacking replacement kdepimlibs-dbg ...
Selecting previously deselected package libical0.
Unpacking libical0 (from .../libical0_0.33-1_amd64.deb) ...
Preparing to replace kdepimlibs-data 4:4.1.4-0ubuntu1~intrepid1 (using .../kdepimlibs-data
_4%3a4.2.0-0ubuntu1~intrepid~ppa4_all.deb) ...
Unpacking replacement kdepimlibs-data ...
Preparing to replace kdepimlibs5 4:4.1.4-0ubuntu1~intrepid1 (using .../kdepimlibs5_4%3a4.2
.0-0ubuntu1~intrepid~ppa4_amd64.deb) ...
Unpacking replacement kdepimlibs5 ...
Preparing to replace phonon 4:4.2.0-0ubuntu1 (using .../phonon_4%3a4.3.0-0ubuntu1~intrepid
1~ppa1_all.deb) ...
Unpacking replacement phonon ...
Preparing to replace kdebase-runtime-dbg 4:4.1.4-0ubuntu1~intrepid1 (using .../kdebase-run
time-dbg_4%3a4.2.0-0ubuntu1~intrepid1~ppa3_amd64.deb) ...
Unpacking replacement kdebase-runtime-dbg ...
Setting up kdebase-workspace-data (4:4.2.0-0ubuntu1~intrepid1~ppa5) ...

Setting up libplasma3 (4:4.2.0-0ubuntu2~intrepid1~ppa1) ...

Setting up kate (4:4.2.0-0ubuntu1~intrepid1~ppa3) ...

Setting up kdebase-plasma (4:4.2.0-0ubuntu1~intrepid1~ppa2) ...
Setting up kdebase-workspace-libs4+5 (4:4.2.0-0ubuntu1~intrepid1~ppa5) ...

Setting up libical0 (0.33-1) ...

Setting up kdepimlibs-data (4:4.2.0-0ubuntu1~intrepid~ppa4) ...
Setting up kdepimlibs5 (4:4.2.0-0ubuntu1~intrepid~ppa4) ...
Setting up kdepimlibs-dbg (4:4.2.0-0ubuntu1~intrepid~ppa4) ...
Setting up phonon (4:4.3.0-0ubuntu1~intrepid1~ppa1) ...
Setting up kdebase-workspace-bin (4:4.2.0-0ubuntu1~intrepid1~ppa5) ...

Setting up ksysguard (4:4.2.0-0ubuntu1~intrepid1~ppa5) ...

Setting up plasmoid-quickaccess (0.7.1-0ubuntu6~intrepid1~ppa1) ...
Setting up kdebase-runtime-dbg (4:4.2.0-0ubuntu1~intrepid1~ppa3) ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
---------------------------------------------------------------------------------------------------------
This APPEARS to have installed everything, but I'm raising this bug before logging out while I've got all the information available on-screen. If I find further problems after re-starting X, I'll report back.

Jonathan Thomas (echidnaman) wrote :

kdebase-runtime-dbg still needs to be upgraded. (It failed because it tried to overwrite a file that was in a previous version of kdelibs5-dbg.)

To do that do a sudo dpkg -i --force-overwrite /var/cache/apt/archives/kdebase-runtime-dbg_4%3a4.2.0-0ubuntu1~intrepid1~ppa3_amd64.deb

and then a sudo apt-get install -f for good measure. Thanks for the bug report!

Changed in kdebase-kde4:
importance: Undecided → High
status: New → Triaged

Thanks Jonathan.

For the record, after re-starting , the "updates available" icon was still showing a large number of updates to install. Clicking it seemed to finish off configuring (which I thought my earlier commands had done - shows how well I understand apt).

...now to see what else KDE have managed to break in this release ;-)

Félim Whiteley (felimwhiteley) wrote :

I've just encountered this this morning after getting update to 4.2 indication on my Intrepid install (with back-ports enabled). Mine seemed to be an issue with Kate requiring libplasma3 but libplasma2 was blocking it. I've attached a dump of errors I got but I can attach anything els ein case it's of use (or open a new bug if you want it).

I got around it by manually force installing libplasma3, the tried a forced overwrite of

kdebase-workspace-libs4+5_4%3a4.2.0-0ubuntu1~intrepid2_i386.deb

Which seemed to be the next problem after the Kate issue, then I just did a force on full-upgrade (patience ran out !) and it worked. So perhaps I didn't do it in most effiecient way but I've got 4.2 running.

Jonathan Thomas (echidnaman) wrote :

Fix committed in bzr for Kubuntu 9.04. Since this also affects the 8.10 backports I'm opening up a bug for the Intrepid backports.

Changed in kdebase-runtime:
milestone: none → jaunty-alpha-5
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase-runtime - 4:4.2.0-0ubuntu1~intrepid2

---------------
kdebase-runtime (4:4.2.0-0ubuntu1~intrepid2) intrepid-backports; urgency=low

    [ Scott Kitterman ]
  * Add missing conflicts for kdebase-runtime on kde5libs << 4.1.73

  [ Jonathan Thomas ]
  * Add missing conflicts for kdebase-runtime-dbg on kdelibs5-dbg <<
    4.1.80 (LP: #324277)

 -- Scott Kitterman <email address hidden> Wed, 25 Feb 2009 07:40:33 -0500

Changed in kdebase-runtime:
status: Fix Committed → Fix Released
Scott Kitterman (kitterman) wrote :

Didn't upload to Jaunty yet.

Changed in kdebase-runtime:
milestone: jaunty-alpha-5 → jaunty-alpha-6
status: Fix Released → Fix Committed
Scott Kitterman (kitterman) wrote :

Did fix backports.

Changed in intrepid-backports:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase-runtime - 4:4.2.1-0ubuntu1

---------------
kdebase-runtime (4:4.2.1-0ubuntu1) jaunty; urgency=low

  [ Roderick B. Greening ]
  * New upstream release
  * Update kdebase-runtime.install (replace 4.2.0 ref with 4.2.*)
  * Update build-dep (kdelibs5-dev, libphonon-dev)

  [ Scott Kitterman ]
  * Add missing conflicts for kdebase-runtime on kde5libs << 4.1.73

  [ Jonathan Thomas ]
  * Add missing conflicts for kdebase-runtime-dbg on kdelibs5-dbg <<
    4.1.80 (LP: #324277)

 -- <email address hidden> (Roderick B. Greening) Fri, 27 Feb 2009 10:27:55 -0330

Changed in kdebase-runtime:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments